IBM Support

IDS install returns: lax.nl.message.vm.not.loaded=The installer either could not find a Java VM, or the Java VM on this system is too old.

Troubleshooting


Problem

While installing IDS on a Linux host, a non fatal error is displayed in the install.log file: lax.nl.message.vm.not.loaded=The installer either could not find a Java VM, or the Java VM on this system is too old. The installer requires Java 1.1.5 or later. It can be downloaded from http://java.sun.com/products/jdk/1.1/jre/lax.resource.dir=Linux

Symptom

The following message will be displayed in the install.log:

lax.nl.message.vm.not.loaded=The installer either could not find a Java VM, or the Java VM on this system
is too old. The installer requires Java 1.1.5 or later. It can be downloaded from http://java.sun.com/products/jdk/1.1/jre/lax.resource.dir=Linux

Cause

Java is not found on the system or the version of Java is outdated.

Diagnosing The Problem

  • Run java --version to determine the installed version.
  • Run which java to determine location Java is installed.

Resolving The Problem

Internal Use Only

This technote was generated by Technote Kickstart 1.1.0.7 based on Information Management PMR 59908,180,000.
View the associated PMR's text via Wellspring at: http://eclient.lenexa.ibm.com:9082/DocFetcher/source/PMR/59908.180.000%20O13/05/13

[{"Product":{"code":"SSGU8G","label":"Informix Servers"},"Business Unit":{"code":"BU001","label":"Analytics Private Cloud"},"Component":"--","Platform":[{"code":"PF016","label":"Linux"}],"Version":"11.5;11.70;12.1","Edition":""}]

Document Information

Modified date:
16 June 2018

UID

swg21638612